import logging

from ..context import Context

logger = logging.getLogger(__name__)

CATTURA_APT_FILE = "/etc/apt/sources.list.d/cattura.list"

def __call__ (config):
    context = Context(config, logger)
    
    logger.info("Removing Cattura repository from apt")
    context.call_privileged(["rm", CATTURA_APT_FILE])
    
    # update apt-get
    context.apt_update()